// Copyright 2002-2005 Aspose Pty Ltd. All Rights Reserved.
//
// This file is part of Aspose.Pdf.Kit for Java. The source code in this file
// is only intended as a supplement to the documentation, and is provided
// "as is", without warranty of any kind, either expressed or implied.
//
package samples.mend;

import com.aspose.pdf.kit.PdfFileInfo;
import com.aspose.pdf.kit.FormattedText;
import com.aspose.pdf.kit.PdfFileMend; //

public class AaddTextOnRotationPage {
  public AaddTextOnRotationPage() {
  }

  //demonstrating adding text on pages with rotation
  public static void main(String[] args) {
    try {
      String path = "./examples/resources/";
      String inputFile = path + "rotation270.pdf";
      String outputFile = path + "PdfMendOut3.pdf";
      int[] pages = new int[] {
          1};

      PdfFileInfo fileInfo = new PdfFileInfo(inputFile);

      float height = fileInfo.getPageHeight(1);
      float width = fileInfo.getPageWidth(1);
      int rotation = fileInfo.getPageRotation(1);

      PdfFileMend mendor = new PdfFileMend(inputFile, outputFile);
      switch (rotation) {
        case 0:
          mendor.addText(new FormattedText(
              "PdfFileMend testing! 0 rotation."),
                         pages, 10, height - 25, width, height - 10); //lowerleftX < upperrightX,lowerleftY < upperrightY
          break;
        case 90:
          mendor.addText(new FormattedText(
              "PdfFileMend testing! 90 rotation."),
                         pages, width - 25, height - 10, width - 45,
                         height - 150); //lowerleftX > upperrightX,lowerleftY > upperrightY
          break;
        case 180:
          mendor.addText(new FormattedText(
              "PdfFileMend testing! 180 rotation."),
                         pages, 10, 10, width, 25); //lowerleftX < upperrightX,lowerleftY < upperrightY
          break;
        case 270:
          mendor.addText(new FormattedText(
              "PdfFileMend testing! 270 rotation."),
                         pages, 10, 10, 25, height - 10); //lowerleftX < upperrightX,lowerleftY < upperrightY
          break;
        default:
          break;
      }
      mendor.close();

    }
    catch (Exception ex) {
      System.out.println(ex.getMessage());
    }

  }
}